# post

## Overview

This endpoint is used for preparing an export of a table on Redivis.

## HTTP Request

```http
POST /tables/:tableReference/exports
```

## Path parameters

<table><thead><tr><th width="302.5">Parameter</th><th></th></tr></thead><tbody><tr><td>tableReference</td><td>A qualified reference to the table to be exported. See <a href="/pages/-LzsPrAlHWxazTnhQQJE">referencing resources</a> for more information.</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the dataset.

<table><thead><tr><th width="172.66666666666669">Property name</th><th width="134">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>format</strong></td><td><strong>string</strong></td><td>The type output format of the export. Must be one of <code>"csv" | "parquet" | "jsonl" | "avro" | "sas7bdat" | "dta" | "sav"</code>.<br><br>If not specified, "csv" will be used.</td></tr></tbody></table>

## Authorization

Data access to all tables referenced by the query is required. If a table's data is not public, your access token must have one of the following scopes:

* data.data
* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of an [export resource](/api/resource-definitions/export.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/exports/post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
